roadgps(1)

NAME

roadgps - GPS status console

SYNTAX

roadgps [--location=longitude,latitude] [--metric] [--imperial] [--geometry[:window]=widthxheight] [--no-toolbar] [--no-icon] [--gps=url] [--debug[=source]] [--verbose] [--help]

DESCRIPTION

A very handy GPS console, inspired by the Garmin satellite status page, with a NMEA log capability. Thanks to gpsd, roadgps and roadmap can be active at the same time. The roadgps program was intended to be started from the roadmap menu.

More information is available in the RoadMap online help.

OPTIONS

Most options may also be set as preferences. In fact, when an option matches a preferences item, using the option does modify the preferences item as well. As a consequence the effect of theses options will be permanent until the same option is used again or the associated preference item has been changed. Because the same preferences are used by roadmap and roadgps, using any of those options with one program will impact the other.

An option with no associated preference item behaves in a more traditional way, i.e. its effect is valid for that command only.

--location=longitude,latitude
    Set the current location point (see menu entry View/Show Location..). Preference item: Locations.Location.

--metric
    Use the metric system for all units. Preference item: General.Unit = metric.

--imperial
    Use the imperial system for all units. Preference item: General.Unit = imperial.

--geometry[:window]=widthxheight
    Set the geometry of a specific RoadMap window, identified by it's title. If no window title is provided, this defines the geometry of the main window. If the window's title includes any space, dashes can be used in place of the spaces (the goal here is to be shell friendly). Preference item: Geometry.window.

--no-toolbar
    Do not show the toolbar. Preference item: General.Toolbar = no.

--no-icon
    Do not show any icon (presumably to keep as much space as possible for the map). Preference item: General.Icons = no

--gps=url
    Use the specified GPS source. Two URL formats only are supported: "gpsd://host/" (access the GPS through a gpsd server) and "file://path" or "path" (path must be a full path). As an exception, this option is not sticky: it does override the related preferences item, but the preferences are not modified. The main rational for this behavior is to make it painless to replay GPS logs.

--debug[=source]
    Print debug messages. If a source file is provided, only debug messages generated from that source file are printed.

--verbose
    Enable some log messages (a subset of the debug messages).

--help
    Show a description of the program options and quit.

FILES

~/.roadmap/preferences
/etc/roadmap/preferences
/usr/share/roadmap/preferences

BUGS

The roadgps program should really not decode all the roadmap command line options, some of which have no effect on roadgps.

AUTHORS

Pascal Martin <pascal.martin@ponts.org>

This manual page was written by Petter Reinholdtsen for the Debian package.

SEE ALSO

gpsd(1) roadmap(1)